gslbvserver_domain_binding
Binding object showing the domain that can be bound to gslbvserver.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| ttl | <Integer> | Read-write | Time to live (TTL) for the domain.
Minimum value = 1
|
| cookie_domain | <String> | Read-write | The cookie domain for the GSLB site. Used when inserting the GSLB site cookie in the HTTP response.
Minimum length = 1
|
| domainname | <String> | Read-write | Domain name for which to change the time to live (TTL) and/or backup service IP address.
Minimum length = 1
|
| order | <Integer> | Read-write | Order number to be assigned to the service when it is bound to the lb vserver.
Minimum value = 1
Maximum value = 8192
|
| cookie_domainflag | <Boolean> | Read-write | The cookie domain for the GSLB site. Used when inserting the GSLB site cookie in the HTTP response. |
| backupip | <String> | Read-write | The IP address of the backup service for the specified domain name. Used when all the services bound to the domain are down, or when the backup chain of virtual servers is down.
Minimum length = 1
|
| backupipflag | <Boolean> | Read-write | The IP address of the backup service for the specified domain name. Used when all the services bound to the domain are down, or when the backup chain of virtual servers is down. |
| cookietimeout | <Integer> | Read-write | Timeout, in minutes, for the GSLB site cookie.
Minimum value = 0
Maximum value = 1440
|
| sitedomainttl | <Integer> | Read-write | TTL, in seconds, for all internally created site domains (created when a site prefix is configured on a GSLB service) that are associated with this virtual server.
Minimum value = 1
|
| name | <String> | Read-write | Name of the virtual server on which to perform the binding operation.
Minimum length = 1
|
| __count | <Double> | Read-write | count parameter |
Operations
(click to see Properties )
- ADD
- DELETE
- GET
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address /nitro/v1/config/gslbvserver_domain_binding HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{
"gslbvserver_domain_binding":{
<b>"name":<String_value>,
</b>"domainname":<String_value>,
"ttl":<Integer_value>,
"backupip":<String_value>,
"cookie_domain":<String_value>,
"cookietimeout":<Integer_value>,
"sitedomainttl":<Integer_value>,
"order":<Integer_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_domain_binding/ name_value<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_domain_binding/ name_value<String> ? args=domainname: <String_value> ,backupipflag: <Boolean_value> ,cookie_domainflag: <Boolean_value>
HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_domain_binding/ name_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_domain_binding/ name_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of gslbvserver_domain_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_domain_binding/ name_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the gslbvserver_domain_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbvserver_domain_binding": [ {
"ttl":<Integer_value>,
"cookie_domain":<String_value>,
"domainname":<String_value>,
"order":<Integer_value>,
"cookie_domainflag":<Boolean_value>,
"backupip":<String_value>,
"backupipflag":<Boolean_value>,
"cookietimeout":<Integer_value>,
"sitedomainttl":<Integer_value>,
"name":<String_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_domain_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_domain_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbvserver_domain_binding": [ {
"ttl":<Integer_value>,
"cookie_domain":<String_value>,
"domainname":<String_value>,
"order":<Integer_value>,
"cookie_domainflag":<Boolean_value>,
"backupip":<String_value>,
"backupipflag":<Boolean_value>,
"cookietimeout":<Integer_value>,
"sitedomainttl":<Integer_value>,
"name":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbvserver_domain_binding/ name_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"gslbvserver_domain_binding": [ { "__count": "#no"} ] }